[Discuss] Apache Flex SDK Installer 3.3.2 RC1*

classic Classic list List threaded Threaded
24 messages Options
12
Reply | Threaded
Open this post in threaded view
|

Re: [Discuss] Apache Flex SDK Installer 3.3.2 RC1*

jasenvm
Worked for me on the second attempt. I'm using windows 10/64.

I had to add an exception to my avast virus prog. But working.

Great to see the installer up and running again. Great work guys!

On Wed, Jul 4, 2018 at 5:32 AM Olaf Krueger <[hidden email]> wrote:

> Hi,
> it works for me on Windows7/64bit.
>
> Just my observations:
> - The first warning came up after starting the installer
> - After the SDK download has started the second warning came up and after
> confirming it the installer closed itself
> - After I manually restarted the installer I had to go through the initial
> steps again (without warnings) and from this point, it just works!
>
> As already mentioned it is not the best user experience but I think we can
> go with it as it is.
>
> I've not followed the entire discussions around the installer issues, so
> just for my understanding:
> Is the reason for this workaround only to get the Native Installer work in
> order to be able to start it from the webpage?
> And would work a "standalone captive runtime" version also?
>
> Thank you!!
> Olaf
>
>
>
>
>
> --
> Sent from: http://apache-flex-development.2333347.n4.nabble.com/
>


--
------------------------------------------------------------
Jasen Martin
0424 984 955
------------------------------------------------------------
Reply | Threaded
Open this post in threaded view
|

Re: [Discuss] Apache Flex SDK Installer 3.3.2 RC1*

piotrz
Hi Jensen,

Thanks for the feedback. You can VOTE for this installer in that Thread
[1]. Community voice is highly important to us!

[1]
http://apache-flex-development.2333347.n4.nabble.com/VOTE-Apache-Flex-SDK-Installer-3-3-2-RC2-td65427.html

Thanks,
Piotr

śr., 4 lip 2018 o 07:27 Jasen Martin <[hidden email]> napisał(a):

> Worked for me on the second attempt. I'm using windows 10/64.
>
> I had to add an exception to my avast virus prog. But working.
>
> Great to see the installer up and running again. Great work guys!
>
> On Wed, Jul 4, 2018 at 5:32 AM Olaf Krueger <[hidden email]> wrote:
>
> > Hi,
> > it works for me on Windows7/64bit.
> >
> > Just my observations:
> > - The first warning came up after starting the installer
> > - After the SDK download has started the second warning came up and after
> > confirming it the installer closed itself
> > - After I manually restarted the installer I had to go through the
> initial
> > steps again (without warnings) and from this point, it just works!
> >
> > As already mentioned it is not the best user experience but I think we
> can
> > go with it as it is.
> >
> > I've not followed the entire discussions around the installer issues, so
> > just for my understanding:
> > Is the reason for this workaround only to get the Native Installer work
> in
> > order to be able to start it from the webpage?
> > And would work a "standalone captive runtime" version also?
> >
> > Thank you!!
> > Olaf
> >
> >
> >
> >
> >
> > --
> > Sent from: http://apache-flex-development.2333347.n4.nabble.com/
> >
>
>
> --
> ------------------------------------------------------------
> Jasen Martin
> 0424 984 955
> ------------------------------------------------------------
>


--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [Discuss] Apache Flex SDK Installer 3.3.2 RC1*

Alex Harui-2
In reply to this post by Olaf Krueger
Hi Olaf,

The reason for this odd configuration is so that we can run the Windows version of the Apache Flex Installer as a 64-bit app so it has more memory to handle the downloads.  You can only make Windows 64-bit AIR apps as captive runtime.  The Native versions are always 32-bit.  But the Native versions can be installed with the NativeInstaller and be launched by a badge installer from a web page.  Captive Runtime apps need to be installed somehow.

So, we keep a 32-bit version around that can be installed and launched by the web page, but it always tries to download (if needed) and run the 64-bit version to do any actual installing of Flex SDKs.  IOW, the 32-bit version is the installer for the 64-bit version.

A volunteer is welcome to create some other Windows installer for the 64-bit captive runtime version.  It could use MSI, or something else, even another AIR app.  I just decided to use the same Apache Flex Installer so I wouldn't have to figure out some other installer.

HTH,
-Alex

On 7/3/18, 12:32 PM, "Olaf Krueger" <[hidden email]> wrote:

    Hi,
    it works for me on Windows7/64bit.
   
    Just my observations:
    - The first warning came up after starting the installer
    - After the SDK download has started the second warning came up and after
    confirming it the installer closed itself
    - After I manually restarted the installer I had to go through the initial
    steps again (without warnings) and from this point, it just works!
   
    As already mentioned it is not the best user experience but I think we can
    go with it as it is.
   
    I've not followed the entire discussions around the installer issues, so
    just for my understanding:
    Is the reason for this workaround only to get the Native Installer work in
    order to be able to start it from the webpage?
    And would work a "standalone captive runtime" version also?
   
    Thank you!!
    Olaf
   
   
   
   
   
    --
    Sent from: https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-flex-development.2333347.n4.nabble.com%2F&data=02%7C01%7Caharui%40adobe.com%7Cd79adfebb90b44bbb67208d5e11bc445%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C1%7C636662431733449605&sdata=APlRWcGzHJ%2F1fTYORNWJI4U8v%2F8HmQ9pvK3CguFVh9E%3D&reserved=0
   

Reply | Threaded
Open this post in threaded view
|

Re: [Discuss] Apache Flex SDK Installer 3.3.2 RC1*

Olaf Krueger
Hi Alex,
thanks for the good explanation, got it now!
Even if the NativeInstaller is more comfortable, maybe a CaptiveRuntime
version which has to be downloaded is enough someday.

However, thank you for making the installer work again!!

Olaf





--
Sent from: http://apache-flex-development.2333347.n4.nabble.com/
12